## python-djangorestframework-simplejwt 5.2.2

=== Makefile ===
.PHONY: clean
clean: clean-build clean-pyc

.PHONY: clean-build
clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

.PHONY: clean-pyc
clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

.PHONY: lint
lint:
	tox -e lint

.PHONY: lint-roll
lint-roll:
	isort rest_framework_simplejwt tests
	$(MAKE) lint

.PHONY: tests
test:
	pytest tests

.PHONY: test-all
test-all:
	tox

.PHONY: build-docs
build-docs:
	sphinx-apidoc -o docs/ . \
		setup.py \
		*confest* \
		tests/* \
		rest_framework_simplejwt/token_blacklist/* \
		rest_framework_simplejwt/backends.py \
		rest_framework_simplejwt/compat.py \
		rest_framework_simplejwt/exceptions.py \
		rest_framework_simplejwt/settings.py \
		rest_framework_simplejwt/state.py
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(MAKE) -C docs doctest

.PHONY: docs
docs: build-docs
	open docs/_build/html/index.html

.PHONY: linux-docs
linux-docs: build-docs
	xdg-open docs/_build/html/index.html

.PHONY: pushversion
pushversion:
	git push upstream && git push upstream --tags

.PHONY: publish
publish:
	python setup.py sdist bdist_wheel
	twine upload dist/*

.PHONY: dist
dist: clean
	python setup.py sdist bdist_wheel
	ls -l dist

## python-djangorestframework-simplejwt 5.0.0

=== debian/changelog ===
python-djangorestframework-simplejwt (5.0.0-1) unstable; urgency=low

  * Initial release (Closes: #941416).

 -- Michael Fladischer <fladi@debian.org>  Thu, 17 Feb 2022 10:37:31 +0000

=== debian/control ===
Source: python-djangorestframework-simplejwt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-cryptography,
 python3-django,
 python3-djangorestframework,
 python3-jose,
 python3-jwt,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.0.1
Homepage: https://github.com/jazzband/djangorestframework-simplejwt
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-djangorestframework-simplejwt
Vcs-Git: https://salsa.debian.org/python-team/packages/python-djangorestframework-simplejwt.git
Rules-Requires-Root: no

Package: python3-djangorestframework-simplejwt
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-djangorestframework-simplejwt-doc
Description: JSON Web Token authentication for Django REST Framework (Python3 version)
 Simple JWT provides a JSON Web Token authentication backend for the Django REST
 Framework. It aims to cover the most common use cases of JWTs by offering a
 conservative set of default features. It also aims to be easily extensible in
 case a desired feature is not present.
 .
 This package contains the Python 3 version of the library.

Package: python-djangorestframework-simplejwt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: JSON Web Token authentication for Django REST Framework (Documentation)
 Simple JWT provides a JSON Web Token authentication backend for the Django REST
 Framework. It aims to cover the most common use cases of JWTs by offering a
 conservative set of default features. It also aims to be easily extensible in
 case a desired feature is not present.
 .
 This package contains the documentation.

## python-djangorestframework-simplejwt 5.1.0

=== debian/changelog ===
python-djangorestframework-simplejwt (5.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 03 Mar 2022 09:52:39 +0000

## python-djangorestframework-simplejwt 5.2.2

=== debian/changelog ===
python-djangorestframework-simplejwt (5.2.2-1) unstable; urgency=low

  * New upstream release.
  * Update d/copyright with new years.
  * Make intersphinx use local copies of objects.inv files.
  * Install testfiles using d/pybuild.testfiles.

 -- Michael Fladischer <fladi@debian.org>  Fri, 06 Jan 2023 22:06:55 +0000

python-djangorestframework-simplejwt (5.2.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Sep 2022 20:25:20 +0000

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-cryptography,
  python3-django,
  python3-djangorestframework,
+ python3-doc,
  python3-jose,
  python3-jwt,
  python3-pytest,
@@ -18,7 +19,7 @@
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/jazzband/djangorestframework-simplejwt
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-djangorestframework-simplejwt
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-djangorestframework-simplejwt.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=djangorestframework-simplejwt

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-djangorestframework-simplejwt-doc/usr/share/doc/python-djangorestframework-simplejwt-doc/html
	dh_sphinxdoc
endif

execute_after_dh_clean:
	rm -rf docs/.build

## python-djangorestframework-simplejwt 5.3.0

=== debian/changelog ===
python-djangorestframework-simplejwt (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Refresh patches.
  * Bump Standards-Version to 4.6.2.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Wed, 06 Sep 2023 11:08:31 +0000

=== debian/control ===
Source: python-djangorestframework-simplejwt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-cryptography,
 python3-django,
 python3-djangorestframework,
 python3-doc,
 python3-jose,
 python3-jwt,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.2
Homepage: https://github.com/jazzband/djangorestframework-simplejwt
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-djangorestframework-simplejwt
Vcs-Git: https://salsa.debian.org/python-team/packages/python-djangorestframework-simplejwt.git
Rules-Requires-Root: no

Package: python-djangorestframework-simplejwt-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: JSON Web Token authentication for Django REST Framework (Documentation)
 Simple JWT provides a JSON Web Token authentication backend for the Django REST
 Framework. It aims to cover the most common use cases of JWTs by offering a
 conservative set of default features. It also aims to be easily extensible in
 case a desired feature is not present.
 .
 This package contains the documentation.

Package: python3-djangorestframework-simplejwt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-djangorestframework-simplejwt-doc,
Description: JSON Web Token authentication for Django REST Framework (Python3 version)
 Simple JWT provides a JSON Web Token authentication backend for the Django REST
 Framework. It aims to cover the most common use cases of JWTs by offering a
 conservative set of default features. It also aims to be easily extensible in
 case a desired feature is not present.
 .
 This package contains the Python 3 version of the library.

## python-djangorestframework-simplejwt 5.3.1

=== debian/changelog ===
python-djangorestframework-simplejwt (5.3.1-1) unstable; urgency=low

  * New upstream version 5.3.1
  * Use python3-babel to rebuild translations from source.
  * Add python3-freezegun to Build-Depends, required by tests.
  * Simplify d/rules by using execute_ target instead of override.
  * Add patch to fix missing or mangled dates in translation files.
  * Build using pybuild-plugin-pyproject and dh-sequence-python3.

 -- Michael Fladischer <fladi@debian.org>  Thu, 14 Dec 2023 21:14:45 +0000

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,15 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-babel,
  python3-cryptography,
  python3-django,
  python3-djangorestframework,
  python3-doc,
+ python3-freezegun,
  python3-jose,
  python3-jwt,
  python3-pytest,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v([\d\.]+)\.tar\.gz/python-djangorestframework-simplejwt-$1.tar.gz/ \
https://github.com/jazzband/djangorestframework-simplejwt/tags \
/jazzband/djangorestframework-simplejwt/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-djangorestframework-simplejwt 5.4.0

=== debian/changelog ===
python-djangorestframework-simplejwt (5.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Feb 2025 16:58:05 +0000

python-djangorestframework-simplejwt (5.3.1-2) unstable; urgency=low

  * Remove jose from tests.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Sat, 20 Jul 2024 19:25:37 +0000

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
  python3-all,
  python3-babel,
  python3-cryptography,
- python3-django,
+ python3-django (>= 3:4.2),
  python3-djangorestframework,
  python3-doc,
  python3-freezegun,
- python3-jose,
  python3-jwt,
  python3-pytest,
  python3-pytest-django,
@@ -32,6 +31,7 @@
 Package: python-djangorestframework-simplejwt-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
@@ -55,5 +55,3 @@
  Framework. It aims to cover the most common use cases of JWTs by offering a
  conservative set of default features. It also aims to be easily extensible in
  case a desired feature is not present.
- .
- This package contains the Python 3 version of the library.

## python-djangorestframework-simplejwt 5.5.0

=== debian/changelog ===
python-djangorestframework-simplejwt (5.5.0-1) unstable; urgency=low

  * New upstream version 5.5.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Tue, 01 Apr 2025 19:50:39 +0000

## python-djangorestframework-simplejwt 5.5.1

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,6 @@
 		tests/* \
 		rest_framework_simplejwt/token_blacklist/* \
 		rest_framework_simplejwt/backends.py \
-		rest_framework_simplejwt/compat.py \
 		rest_framework_simplejwt/exceptions.py \
 		rest_framework_simplejwt/settings.py \
 		rest_framework_simplejwt/state.py

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rest_framework_simplejwt.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rest_framework_simplejwt.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rest_framework_simplejwt"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rest_framework_simplejwt"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-djangorestframework-simplejwt (5.5.1-2) unstable; urgency=medium

  * Team upload.
  * d/watch: Convert to version 5
  * Rebuild patch queue from patch-queue branch
    Added patch:
    0005-fix-use-curve-matching-EC-keys-for-ES384-ES512-backe.patch
  * d/control: Drop field Priority: optional
  * d/control: Bump Standards-Version to 4.7.3
  * d/control: Remove Rules-Requires-Root

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 01 Mar 2026 12:04:39 +0200

python-djangorestframework-simplejwt (5.5.1-1) unstable; urgency=low

  * New upstream version 5.5.1
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Thu, 21 Aug 2025 13:49:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-djangorestframework-simplejwt
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
@@ -22,11 +21,10 @@
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jazzband/djangorestframework-simplejwt
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-djangorestframework-simplejwt
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-djangorestframework-simplejwt.git
-Rules-Requires-Root: no
 
 Package: python-djangorestframework-simplejwt-doc
 Section: doc

=== debian/watch ===
Version: 5

Template: Github
Project: djangorestframework-simplejwt
Owner: jazzband
Dversion-Mangle: auto
Uversion-Mangle: auto
Compression: gz
Pgpmode: none
